DnDOutlook Bean - Defect #383

Unable to drop mails from Outlook 2010 (COM Fail Exception)
10/11/2011 05:11 PM - John Lugten

Status:
Priority:
Assignee:

Category:

Target version:

Browser (if web

client):

Resolved Start date: 10/11/2011
Normal Due date:
% Done: 100%
Estimated time: 0.00 hour

Description

- Starting Servoy from D:\Users\kan.pascalle\Desktop

- Servoy 3.5.10 build-524 on Windows Vista using Java 1.6.0_05

- Jacob dll deployed? true

e Error: nspr4.dll doesn't exist under
D:\Users\kan.pascalle\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\54\7641936-7c06f5b8-1.4-013--n\ielib

native lib path D:\Users\kan.pascalle\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\54\7641936-7c06f5b8-1.4-013--nnative lib
path D:\Users\kan.pascalle\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\54\7641936-7c06f5b8-1.4-013--nLaden integratie

omgeving

Possible flavor: application/x-java-serialized-object; class=java.lang.String

- Throwable

com.jacob.com.ComFailException: Can't get object clsid from progid

at com. jacob.com.Dispatch.createInstanceNative (Native Method)

at com.jacob.com.Dispatch.&lt;inité&gt; (Dispatch. java:99)

at com.jacob.activeX.ActiveXComponent.&lt;init&gt; (ActiveXComponent. java:58)

at net.stuff.servoy.beans.dnd.outlook.DnDOutlookChooser.getSelectedOutlookMails (DnDOutlookChooser.

java:169

)

at net.stuff.servoy.beans.dnd.outlook.DnDOutlookChooser.drop (DnDOutlookChooser. java:108)

at java.awt.dnd.DropTarget.drop (Unknown Source)

at sun.awt.dnd.SunDropTargetContextPeer.processDropMessage (Unknown Source)

at sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchDropEvent (Unknown Source)

at sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent (Unknown Source)

at sun.awt.dnd.SunDropTargetEvent.dispatch (Unknown Source)

at java.

at java.

at java.

at java.

at java.

awt

awt.

awt .

awt .

awt.
.Component .dispatchEventImpl (Unknown Source)

Container.dispatchEventImpl (Unknown Source)

Component .dispatchEvent (Unknown Source)

LightweightDispatcher.retargetMouseEvent (Unknown Source)

LightweightDispatcher.processDropTargetEvent (Unknown Source)
at java.awt.LightweightDispatcher.dispatchEvent (Unknown Source)

at java.awt.Container.dispatchEventImpl (Unknown Source)

at java.awt.Window.dispatchEventImpl (Unknown Source)

at java.awt.Component.dispatchEvent (Unknown Source)

at java.awt.EventQueue.dispatchEvent (Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters (Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy (Unknown Source)
at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.run (Unknown Source)

Possible flavor: text/plain; class=java.io.Reader; charset=Unicode

Possible flavor: text/plain; class=java.lang.String; charset=Unicode

- Drop error:invalid acceptDrop()

History

#1 - 10/11/2011 06:07 PM - Patrick Talbot

- Status changed from New to In Progress

That's a very weird error.
The exception comes from a line which is doing:

final ActiveXComponent xl1 = new ActiveXComponent ("Outlook.Application");

So basically instantiating the Outlook ActiveX component.

But the Exception has nothing to do with it:

It tries to match the Outlook.Application dll to a nspr4.dll which is part of Mozilla Firefox (or XULRunner), or at least to use this dll to instantiate the

Outlook ActiveX

My guess is that there is a problem in the registry of that system.
Perhaps you could try removing Firefox and repair the Outlook installation (I think Office 2010 has an utility for that in its installer).

#2-10/11/2011 10:15 PM - John Lugten

The nspr4.dll messsage in the console is there already for many years.
Also with the systems where the drop mails are working this message occurs.

#3 - 10/12/2011 12:19 AM - Patrick Talbot
OK so nspr4.dll is not the issue.

Also, are we sure that Outlook is installed (and not Outlook Express)?
These are 2 different software if some people sometimes confuse them.

In any case there is something wrong in the registry of this System because 'Outlook.Application’ is the VersionIndependantProgID of Outlook (Progld
would differ depending on the version like 'Outlook.Application.9' 'Outlook.Application.10' etc.

But the problem is that on this system this is failing to translate 'Outlook.Application' ProgID to a CLSID (which is the one used ultimately to instantiate
a COM object)

com.jacob.com.ComFailException: Can't get object clsid from progid

So my advice is to try and repair the Office installation, maybe reinstall Outlook because there's nothing at the component level that | can do if this call
to the registry fails.
#4 - 10/12/2011 06:37 PM - John Lugten
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Hi Patrick,

"Problem" solved. This user uses Office 2010 with Word 2003.
No problem, but the registry needed to be updated because Word 2003 is installed later.

Kind regards, John
